| Home | Libraries | People | FAQ | More

## Struct template make_unsigned

boost::random::traits::make_unsigned — Converts the argument type T to an unsigned type.

## Synopsis

    // In header: <boost/random/traits.hpp>

    template<typename T>
    struct make_unsigned {
    };

## Description

This trait has a single member `type` which is the unsigned type corresponding to T. Note that if T is signed, then member `type` should define a type with one more bit precision than T. For built-in types this trait defaults to `boost::make_unsigned<T>::type`. For user defined types it simply asserts that the argument type T is an unsigned integer (using std::numeric_limits). User defined specializations may be provided for other cases.